apiVersion: workspace.devfile.io/v1alpha2
kind: DevWorkspace
metadata:
  annotations:
    che.eclipse.org/che-editor: che-incubator/che-code/insiders
    che.eclipse.org/devfile-source: |
      factory:
        params: >-
          devWorkspace=https://devspaces.apps.ppc64le-qe20.psi.redhat.com/devfile-registry/devfiles/04_nodejs-mongo/devworkspace-che-code-insiders.yaml&storageType=common&url=https://github.com/devspaces-samples/nodejs-mongodb-sample/tree/devspaces-3.3-rhel-8
    che.eclipse.org/last-updated-timestamp: '2022-12-01T07:52:08.447Z'
    controller.devfile.io/started-at: '1669881138392'
  resourceVersion: '23666224'
  name: nodejs-mongodb
  uid: 6a0465c8-d0e5-4e7b-87db-e95b4ed39ab8
  creationTimestamp: '2022-12-01T07:52:04Z'
  generation: 3
  managedFields:
    - apiVersion: workspace.devfile.io/v1alpha2
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:che.eclipse.org/che-editor': {}
            'f:che.eclipse.org/devfile-source': {}
            'f:che.eclipse.org/last-updated-timestamp': {}
        'f:spec':
          .: {}
          'f:routingClass': {}
          'f:started': {}
          'f:template':
            .: {}
            'f:attributes':
              .: {}
              'f:controller.devfile.io/devworkspace-config':
                .: {}
                'f:name': {}
                'f:namespace': {}
              'f:controller.devfile.io/storage-type': {}
            'f:commands': {}
            'f:components': {}
            'f:projects': {}
      manager: unknown
      operation: Update
      time: '2022-12-01T07:52:08Z'
    - apiVersion: workspace.devfile.io/v1alpha2
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:controller.devfile.io/started-at': {}
      manager: devworkspace-controller
      operation: Update
      time: '2022-12-01T07:52:18Z'
    - apiVersion: workspace.devfile.io/v1alpha2
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions': {}
          'f:message': {}
          'f:phase': {}
      manager: devworkspace-controller
      operation: Update
      subresource: status
      time: '2022-12-01T07:52:18Z'
  namespace: admin-devspaces
  labels:
    controller.devfile.io/creator: a80dbc41-b18e-4d94-ab63-ce28f80c3c71
spec:
  routingClass: che
  started: true
  template:
    attributes:
      controller.devfile.io/devworkspace-config:
        name: devworkspace-config
        namespace: openshift-devspaces
      controller.devfile.io/storage-type: common
    commands:
      - exec:
          commandLine: npm install && node --inspect=9229 app.js
          component: nodejs
          group:
            kind: run
          label: Run the application
          workingDir: '${PROJECTS_ROOT}/nodejs-mongodb-sample'
        id: 1-run
    projects:
      - name: nodejs-mongodb-sample
        zip:
          location: >-
            http://devfile-registry.openshift-devspaces.svc:8080/resources/v2/nodejs-mongodb-sample.zip
status:
  conditions:
    - lastTransitionTime: '2022-12-01T07:52:09Z'
      message: DevWorkspace is starting
      status: 'True'
      type: Started
    - lastTransitionTime: '2022-12-01T07:52:09Z'
      message: Resolved plugins and parents from DevWorkspace
      status: 'True'
      type: DevWorkspaceResolved
    - lastTransitionTime: '2022-12-01T07:52:09Z'
      message: Storage ready
      status: 'True'
      type: StorageReady
    - lastTransitionTime: '2022-12-01T07:52:11Z'
      message: Networking ready
      status: 'True'
      type: RoutingReady
    - lastTransitionTime: '2022-12-01T07:52:12Z'
      message: DevWorkspace serviceaccount ready
      status: 'True'
      type: ServiceAccountReady
    - lastTransitionTime: '2022-12-01T07:52:12Z'
      message: DevWorkspace secrets ready
      status: 'True'
      type: PullSecretsReady
    - lastTransitionTime: '2022-12-01T07:52:18Z'
      message: DevWorkspace deployment ready
      status: 'True'
      type: DeploymentReady
    - lastTransitionTime: '2022-12-01T07:52:18Z'
      status: 'True'
      type: Ready
  devworkspaceId: workspace6a0465c8d0e54e7b
  message: Workspace is running
  phase: Running
